TWR T windows api WRapper

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions
Public Member Functions
TwrListbox Class Reference
Inheritance diagram for TwrListbox:

List of all members.

## Public Member Functions
| TwrListbox ()
| TwrListbox (HWND newHwnd)
HWND | create (void)
void | addItem (TCHAR *item)
void | insertItem (int index, TCHAR *item)
void | removeItem (int index)
void | selectItem (int index)
int | getSelectedIndex (void)
Public Member Functions inherited from TwrWnd
| TwrWnd ()
| TwrWnd (HWND newWnd)
virtual | ‾TwrWnd ()
BOOL | UpdateWindow ()
BOOL | ShowWindow (int nCmdShow)
void | EnableWindow (BOOL enabled)
HWND | getHwnd ()
void | destroyWindow (void)
void | setText (const TCHAR *text)
void | setPoint (int x, int y)
void | setSize (int w, int h)
void | setFont (HFONT font)

## Additional Inherited Members
Protected Attributes inherited from TwrWnd
HWND | hWnd
tstring | title
int | left
int | top
int | width
int | height

## Constructor & Destructor Documentation

TwrListbox::TwrListbox | ( |  | ) |

コンストラクタ

TwrListbox::TwrListbox | ( | HWND | newHwnd | ) |

コンストラクタ

Parameters:

  オブジェクトに結び付けるウインドウのハンドル |

## Member Function Documentation

void TwrListbox::addItem | ( | TCHAR * | item | ) |

リストボックスに要素を追加します。

Parameters:

  item | 追加する文字列

HWND TwrListbox::create | ( | void |  | ) |

リストボックスを作成します。

int TwrListbox::getSelectedIndex | ( | void |  | ) |

選択された要素の位置を取得します。

Returns:
  -1:選択されていない -1以外:選択された場所

void TwrListbox::insertItem | ( | int | index,
|  | TCHAR * | item
| ) |  |

リストボックスに要素を挿入します。

Parameters:

  index | 挿入する位置
  item | 追加する文字列

void TwrListbox::removeItem | ( | int | index | ) |

リストボックスの要素を削除します。

Parameters:

  index | 削除する要素の位置

void TwrListbox::selectItem | ( | int | index | ) |

リストボックスの要素を選択します。

Parameters:

  index | 選択する要素の位置

The documentation for this class was generated from the following files:

- WindowSample/TWR/TwrListbox.h
- WindowSample/TWR/TwrListbox.cpp